/*  BV2SMV: Tool for Translating QF_BV problems into SMV.
 *
 *  Copyright (C) 2013 Andreas Fröhlich and Gergely Kovásznai, FMV, JKU Linz.
 *
 *  All rights reserved.
 *
 *  This file is part of BV2SMV.
 *  See COPYING for more information on using this software.
 */

#ifndef ASSERT_H_
#define ASSERT_H_

#include <assert.h>
#include <stdio.h>
//#include <stdarg.h>

#define ASSERT(x) for ( ; !(x) ; assert(x) )

#define ERRORMSG(msg, ...) { fprintf(stderr, "ERROR: "); fprintf(stderr, msg, ##__VA_ARGS__); fprintf(stderr, "\n"); }

#endif /* ASSERT_H_ */
